ncurses_qiflush
ncurses_refresh
Ncurses Functions
PHP Manual

# ncurses_raw

(PHP 4 >= 4.0.7, PHP 5, PECL ncurses:1.0.0)

ncurses_raw — Switch terminal into raw mode

### Description

bool ncurses_raw ( void )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Places the terminal in raw mode. Raw mode is similar to cbreak mode, in that characters typed are immediately passed through to the user program. The differences that are that in raw mode, the interrupt, quit, suspend and flow control characters are all passed through uninterpreted, instead of generating a signal.

### Return Values

Returns `TRUE` if any error occurred, otherwise `FALSE`.

### See Also

- ncurses_noraw()
- ncurses_cbreak()
- ncurses_nocbreak()

ncurses_qiflush
ncurses_refresh
Ncurses Functions
PHP Manual